Skip to main content
GET
Get an AssetRate by External ID

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string<uuid>
required

The unique identifier of the associated Ledger.

external_id
string
required

AssetRate external ID

Response

OK

createdAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"

externalId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

from
string
required
Required string length: 2 - 10
Example:

"USD"

id
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

ledgerId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

metadata
object
required
organizationId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

rate
number<double>
required
Example:

100

scale
number<double> | null
required
Required range: x >= 0
Example:

2

source
string | null
required
Maximum string length: 200
Example:

"External System"

to
string
required
Required string length: 2 - 10
Example:

"BRL"

ttl
integer<int64>
required
Required range: x >= 0
Example:

3600

updatedAt
string<date-time>
required
Example:

"2021-01-01T00:00:00Z"